from .typing import StringConstantNamedTuple


class AppErrors(StringConstantNamedTuple):
    OTP_HAS_ALREADY_SENT: str
    REFRESH_TOKEN_NOT_VALID: str
    SESSION_IS_BLOCKED: str
    SESSION_IS_DEACTIVATED: str
    SESSION_NOT_FOUND: str
    USER_IS_DEACTIVATED: str
    USER_WAS_DELETED: str
    USER_NOT_FOUND: str
    USER_ALREADY_REGISTERED: str
    UNIQUE_CONSTRAINT: str
    ORDER_ALREADY_REGISTERED: str
    VALIDATION_ERROR: str
    INPUT_VALUE_ERROR: str
    OBJECT_NOT_FOUND: str
    JWT_NOT_VALID: str
    PERMISSION_DENIED: str
    OTP_EXPIRED: str
    OTP_NOT_VALID: str
    NOT_AUTHENTICATED: str
    NOT_FULL_FILLED_ERROR: str
    ALL_SEATS_FILLED: str
    MINIMUM_LIMIT_OF_SEATS_ERROR: str
    MAXIMUM_LIMIT_OF_SEATS_ERROR: str
    PROFILE_ALREADY_EXISTS: str
    NOT_ENOUGH_SEATS: str
    DISCUSSION_IS_OVER: str
    DISCUSSION_UPDATE_ERROR: str
    WRONG_DISCUSSION_DATE: str
    MAX_NUMBER_OF_SEATS_PURCHASED: str
    WRONG_NUMBER_OF_SEATS_ERROR: str
    NON_EXISTENT_WEEK_DAY: str
    MAX_NUMBER_OF_DISHES: str
    MAX_NUMBER_OF_IMAGES: str
    PARTICIPANT_WITHOUT_PAYMENT: str
    REFUND_ERROR: str
    MAXIMUM_LIMIT_OF_PLACE_TYPES_ERROR: str
    BANK_REQUISITES_ERROR: str
    ACCEPT_DENY_DISCUSSION_ERROR: str
    # Stripe
    REFUND_ERROR: str
    STRIPE_UNSUPPORTED_PHONE_NUMBER: str
    
    # Selenium
    SELENIUM_WEBDRIVER_ERROR: str


app_errors: AppErrors = AppErrors(use_snake_case=True)
"""This object is used to access custom exclusion fields"""
